const taskList = [];
let maxNumberOfRunnigTasks=20;
let numberOfRunnigTasks = 0;

// task = {
//     taskTyp: "string",
//     executor: "function, return promise",
// maxRetries:"int"
// }

function addTask(task) {
    taskList.push(task);
    handleTask()
}

function taskCompleted(task, result) {
    numberOfRunnigTasks--;
    handleTask()

}
function taskFailed(task, error) {
    numberOfRunnigTasks--;
    if (task.maxRetries > task.retries) {
        task.retries++;
        addTask(task)
    }
    handleTask()
}

function execute(task) {
    task.executor().then((result)=> {
        taskCompleted(task, result)
    }).catch((error)=> {
        taskFailed(task, error)
    })
}

function canRunTask() {
    return maxNumberOfRunnigTasks > numberOfRunnigTasks;
}

function handleTask() {
    if (!canRunTask() || taskList.length == 0) {
        process.exit()
        return
    }
    numberOfRunnigTasks++;
    let currentTask = taskList.shift();
    execute(currentTask)
}

module.exports={
    addTask
};


