const assert = require('assert');
const utils = require("../utils/utils");
const describe = require("mocha").describe;


describe("getMovieDirectoryNameByInfo test", function () {
    const expected = "inception (2010) -* 8.8";
    const movieInfo = {
        "title": "Inception",
        "_year_data": "2010",
        "year": 2010,
        "rated": "PG-13",
        "released": "2010-07-15T19:30:00.000Z",
        "runtime": "148 min",
        "genres": "Action, Adventure, Sci-Fi",
        "director": "Christopher Nolan",
        "writer": "Christopher Nolan",
        "actors": "Leonardo DiCaprio, Joseph Gordon-Levitt, Ellen Page, Tom Hardy",
        "plot": "Dom Cobb is a skilled thief, the absolute best in the dangerous art of extraction, stealing valuable secrets from deep within the subconscious during the dream state, when the mind is at its most vulnerable. Cobb's rare ability has made him a coveted player in this treacherous new world of corporate espionage, but it has also made him an international fugitive and cost him everything he has ever loved. Now Cobb is being offered a chance at redemption. One last job could give him his life back but only if he can accomplish the impossible - inception. Instead of the perfect heist, Cobb and his team of specialists have to pull off the reverse: their task is not to steal an idea but to plant one. If they succeed, it could be the perfect crime. But no amount of careful planning or expertise can prepare the team for the dangerous enemy that seems to predict their every move. An enemy that only Cobb could have seen coming.",
        "languages": "English, Japanese, French",
        "country": "USA, UK",
        "awards": "Won 4 Oscars. Another 152 wins & 203 nominations.",
        "poster": "https://images-na.ssl-images-amazon.com/images/M/MV5BMjAxMzY3NjcxNF5BMl5BanBnXkFtZTcwNTI5OTM0Mw@@._V1_SX300.jpg",
        "ratings": [{"Source": "Internet Movie Database", "Value": "8.8/10"}, {
            "Source": "Rotten Tomatoes",
            "Value": "86%"
        }, {"Source": "Metacritic", "Value": "74/100"}],
        "metascore": "74",
        "rating": "8.8",
        "votes": "1,683,454",
        "imdbid": "tt1375666",
        "type": "movie",
        "dvd": "07 Dec 2010",
        "boxoffice": "$292,568,851",
        "production": "Warner Bros. Pictures",
        "website": "http://inceptionmovie.warnerbros.com/",
        "response": "True",
        "series": false,
        "imdburl": "https://www.imdb.com/title/tt1375666"
    };
    let name = utils.getMovieDirectoryNameByInfo(movieInfo);
    assert.equal(name, expected, "getMovieDirectoryNameByInfo test")

});
